## GtkInputDialog GtkInputDialog |

## Functions

GtkWidget * | gtk_input_dialog_new ()

## Signals

void | disable-device | Run Last
void | enable-device | Run Last

## Types and Values

struct | GtkInputDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkInputDialog

## Implemented Interfaces

GtkInputDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_input_dialog_new ()

    GtkWidget *
    gtk_input_dialog_new (void);

`gtk_input_dialog_new` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkInputDialog

    struct GtkInputDialog;

`GtkInputDialog` is deprecated and should not be used in newly-written code.

## Signal Details

### The `“disable-device”` signal

    void
    user_function (GtkInputDialog *inputdialog,
                   GdkDevice      *arg1,
                   gpointer        user_data)

Flags: Run Last

### The `“enable-device”` signal

    void
    user_function (GtkInputDialog *inputdialog,
                   GdkDevice      *arg1,
                   gpointer        user_data)

Flags: Run Last